#ifndef LUNARSPECTRUM_H
#define LUNARSPECTRUM_H

#include "Spectrum.h"

/** An implementation of Spectrum that models the spectrum of light emanating from
the moon. It's a simple approximation that just ramps up linearly from 380-780 nm
from 0.7 to 1.35. This spectrum should be multiplied by the average luminance of the moon
for a specific phase and distance.*/
class LunarSpectrum : public Spectrum
{
public:

    /** Constructor; populates the array of spectral power based on a model
    of light reflected from the moon. */
    LunarSpectrum();
};

#endif